Subject: RE: [lemonade] Fwd: Appeal of decision to standardize "Mapping Be tween the Multimedia Messaging Service (MMS) and Internet Mail"

From: Dave Crocker <[email-masked]>
Date: Thu, 23 Jun 2005 21:40:21 -0700

Folks,

No doubt I'm misunderstanding something pretty basic.  Here's with I *think* is
going on:

>  OMA has defined RFC822 headers for use within the MMS domain.

"within the *MMS* domain" is the key point.

The Mapping document is a gateway specification between the MMS domain and the
Internet mail domain.

>OMA
>  designed MMS as an extenion of Internet email, and extended it in some
>  weird ways for tactical business reasons.

That's fine.  Folks can do anything they want... in *their* own domain.

That does not mean that we should make de jure standards of their decisions, in
our own domain, if the choices they made in their domain are not compatible with
our own.

Exactly as the document is titled, the job of a gateway is to *map* between
heterogeneous services.

If the MMS folks had decided to use exclamation marks to separate between the
global host reference and the local mailbox reference, would be adopt that?  No.
We would map it to the Internet mail conventions for addressing.

If the MMS folks had decided that all message data -- both control and content
-- was to be in Unicode, would we adopt that?  No.  We would map it to the
Internet mail conventions for data representation and encoding.

So it is difficult to understand why MMS-specific header conventions that are
not compatible with Internet mail conventions should not also get mapped to a
form that *is* compatible with Internet mail.

>  In general, MMS and Internet email
>  are plug-compatible... as in, I can plug my PC in a socket in the UK or
>  the US, and it pretty much works.  Not all features work, and it may not
>  be safe in all circumstances.

In general, English and American are plug-compatible.  Just be careful how you
use the word stuffed, since the English will take offense, or say that something
should be tabled, since it means exactly opposite things.

In the early days of Internet products, some companies advertised that their
products were "based on" Internet standards.  Of course, that really meant that
their products were proprietary.  "In general" is dangerous language.

>  The protocols are sooo similar, that using the same user agent for mobile
>  internet email and MMS will be common.

That's great, but it is not a basis for letting the MMS folks impose change
fundamental Internet mail standards.

>  For these reasons, I preferred to keep X-MMS as defined by the OMA for MMS
>  messages gatewayed to the Internet.

Oh.  So this really is NOT trying to "map" MMS into Internet Mail?  It is trying
to *encapsulate* MMS in Internet mail, for use by a specialized community.

  d/
  ---
  Dave Crocker
  Brandenburg InternetWorking
  +1.408.246.8253
  dcrocker  a t ...
  WE'VE MOVED to:  www.bbiw.net

_______________________________________________
lemonade mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/lemonade

---

From: Randall Gellens <[email-masked]>
Date: Fri, 24 Jun 2005 10:06:14 -0700

>  our own domain, if the choices they made in their domain are not 

I don't believe the document attempted or proposed the 
standardization of anything that was incompatible with Internet mail. 
Yes, in version -04 there are two x-mms-* headers that the text says 
MAY or SHOULD be retained.  Yes, we've debated if that somehow 
constituted standardizing semantics for x-mms- headers in Internet 
mail, but many messages ago the proponents of retaining these two 
exceptions relented.

>  We would map it to the Internet mail conventions for addressing.

This is a straw man.  The document had nothing that could in any fair 
way be equated to altering fundamental infrastructure of Internet 
mail.  I apologize, but I find the comparison ludicrous.

>  Internet mail conventions for data representation and encoding.

This is another straw man.  I repeat: the document had nothing that 
could in any fair way be equated to altering fundamental 
infrastructure of Internet mail.  I find this comparison ludicrous as 
well.

>  form that *is* compatible with Internet mail.

The mapping document does this, to the extent possible and safe, for 
*all* x-mms- headers.  In addition, version -04 says to drop all 
x-mms-* headers, except for two, which it says MAY or SHOULD be 
retained.  I've previously agreed to changing the wording so that 
these two headers are treated like the rest of them.  By all means, 
let's continue to beat this greasy mark.

-- 
Randall Gellens
Opinions are personal;    facts are suspect;    I speak for myself only
-------------- Randomly-selected tag: ---------------
... But as records of courts and justice are admissible, it can
easily be proved that powerful and malevolent magicians once
existed and were a scourge to mankind.  The evidence (including
confession) upon which certain women were convicted of
witchcraft and executed was without a flaw; it is still
unimpeachable.  The judges' decisions based on it were sound in
logic and in law.  Nothing in any existing court was ever more
thoroughly proved than the charges of witchcraft and sorcery
for which so many suffered death.  If there were no witches,
human testimony and human reason are alike destitute of value.
                      --Ambrose Bierce, "The Devil's Dictionary"